さくらインターネットで使用しているMySQL4.0を5.1にアップグレード

WordPress 2.9ではMySQL4.1.2以上が必要ということなので、さくらインターネットで使用しているMySQL4.0を5.1にアップグレードした。
さくらインターネットでMySQLのバージョンを4から5に移行に書かれている手順をそのまま実行。

  1. mysqldump-4.0 -u [USERNAME] -h [HOST] [DBNAME] -p > mysql.dump
  2. さくらインターネットのコントロールパネルの「データベースの設定」で「データベースを削除」をクリック。その後、再作成
  3. mysql -v -u [USERNAME] -h [HOST] [DBNAME] -p
  4. alter database [DBNAME] character set utf8;
  5. \C utf8
  6. \. mysql.dump
  7. www.wp-config.phpのDB_HOSTの定義を修正

これで移行できた。

スポンサーリンク

シェアする

  • このエントリーをはてなブックマークに追加

フォローする

スポンサーリンク